require "spec_helper"

describe Api::Filters::In do

  describe "#build_params" do

    # it "parses 1 inteiro" do
    #   expect(described_class.new("status", "in(1)").build_param).to eq({ "status" => ["PAID"]})
    # end

    # it "parses 3 inteiros" do
    #   expect(described_class.new("status", "in(1, 2, 3)").build_param).to eq({ "status" => ["PAID", "WAITING"]})
    # end

    it "parses 3 string" do
      expect(described_class.new("createdAt", "in(2010-01-01,2011-01-01,2012-01-01)").build_param).to eq({ "createdAt" => ["2010-01-01","2011-01-01","2012-01-01"]})
    end

    describe ".elastic_query" do
      it { expect(described_class.new("createdAt", "in(2010-01-01,2011-01-01,2012-01-01)").elastic_query).to eq({terms: { createdAt: ["2010-01-01", "2011-01-01", "2012-01-01"] }}) }
    end

    # context "quando é informado status" do
    #
    #   it "parses  1 status de pedido para array de status de pagamento" do
    #     expect(described_class.new("status", "in(PAID)").build_param).to eq({ "status" => [1,4]})
    #   end
    #
    #   it "parses mais de 1 status de pedido para array de status de pagamento" do
    #     expect(described_class.new("status", "in(PAID,NOT_PAID,WAITING)").build_param).to eq({ "status" => [1,4,5,2,3,6]})
    #   end
    #
    # end

  end
end
